This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 578025 - lang-specific overrides rule doesn't work as expected
lang-specific overrides rule doesn't work as expected
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ipa-pmincho-fonts (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Akira TAGOH
Fedora Extras Quality Assurance
:
Depends On: 578015
Blocks: F13Target 586845
  Show dependency treegraph
 
Reported: 2010-03-29 23:36 EDT by Akira TAGOH
Modified: 2010-05-10 19:42 EDT (History)
3 users (show)

See Also:
Fixed In Version: ipa-pmincho-fonts-003.02-2.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 586845 (view as bug list)
Environment:
Last Closed: 2010-05-10 19:42:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Akira TAGOH 2010-03-29 23:36:26 EDT
Description of problem:
All of detailed information is available on my post at the fonts list:
http://lists.fedoraproject.org/pipermail/fonts/2010-March/001117.html

binding="same" in the fontconfig config file prevents to apply the rule for the
specific
language only properly. As a result, fonts is used for non-targetted languages
and it may gives different look and feel in some cases.

I'd propose to get rid of binding="same" from:
 65-ipa-pmincho.conf
Comment 1 Akira TAGOH 2010-04-18 23:19:06 EDT
Fixed in ipa-pmincho-fonts-003.02-2.fc13.
Comment 2 Fedora Update System 2010-04-18 23:19:55 EDT
ipa-pmincho-fonts-003.02-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/ipa-pmincho-fonts-003.02-2.fc13
Comment 3 Fedora Update System 2010-04-20 09:35:56 EDT
ipa-pmincho-fonts-003.02-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ipa-pmincho-fonts'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/ipa-pmincho-fonts-003.02-2.fc13
Comment 4 Akira TAGOH 2010-04-26 06:26:05 EDT
Testing result:
# rpm -qa ipa-pmincho-fonts
ipa-pmincho-fonts-003.02-2.fc13.noarch
# fc-match monospace:lang=en
DejaVuSansMono.ttf: "DejaVu Sans Mono" "Book"
# fc-match monospace:lang=en-us
DejaVuSansMono.ttf: "DejaVu Sans Mono" "Book"
# fc-match monospace:lang=ja
ipag.ttf: "IPAGothic" "Regular"
# fc-match monospace:lang=ja-jp
ipag.ttf: "IPAGothic" "Regular"
# fc-match sans:lang=en
DejaVuSans.ttf: "DejaVu Sans" "Book"
# fc-match sans:lang=en-us
DejaVuSans.ttf: "DejaVu Sans" "Book"
# fc-match sans:lang=ja
ipagp.ttf: "IPAPGothic" "Regular"
# fc-match sans:lang=ja-jp
ipagp.ttf: "IPAPGothic" "Regular"

No explicit rules for monospace and sans-serif in ipa-pmincho-fonts.

# fc-match serif:lang=en
DejaVuSerif.ttf: "DejaVu Serif" "Book"
# fc-match serif:lang=en-us
DejaVuSerif.ttf: "DejaVu Serif" "Book"
# fc-match serif:lang=ja
ipamp.ttf: "IPAPMincho" "Regular"
# fc-match serif:lang=ja-jp
ipamp.ttf: "IPAPMincho" "Regular"

That looks good.

# for i in $(ls /usr/share/locale|grep -v -E "^(ja)$"); do fc-match serif:lang=$i|grep -E "^(IPAPMincho)$"; [ $? = 0 ] && echo $i; done
#

No affects to other languages.
Comment 5 Fedora Update System 2010-05-10 19:42:38 EDT
ipa-pmincho-fonts-003.02-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.